Bug 11739 - SPT Error: /usr/bin/spt-sh-functions: line 209: /apt-get: No such file or directory
: SPT Error: /usr/bin/spt-sh-functions: line 209: /apt-get: No such file or dir...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/spt)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-05-11 15:39 by
Modified: 2007-08-20 02:46 (History)


Attachments
Мой вариант исправлений (522 bytes, patch)
2007-05-11 15:41, Dmitriy Kruglikov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-11 15:39:26
При сборке профиля server при отсутсвии репозиториев file:*
Сборка вываливается с ошибкой:
/usr/bin/spt-sh-functions: line 209: /apt-get: No such file or directory
spt: Fatal calculated package file list is not local and apt-get does not
support APT::Get::PrintLocalFile option.
spt: Fatal Failed to generate package file list.

Лечится добавлением:
  outdir="$workdir/out"
+ aptbox="$workdir/aptbox"

P.S.
Так же, на мой взгляд, полезно было бы добавить информационный вывод в консоль:
        IDENT="packages" VENDOR="ALTLinux" ...
+         echo "==> Stage: $cmd. Component: $comp. Building..."
Но это уже не обязательно...
------- Comment #1 From 2007-05-11 15:41:23 -------
Created an attachment (id=1955) [details]
Мой вариант исправлений

Данный патч исправляет ошибку и добавляет информационный вывод в консоль.
Информационный вывод не всем может понравится.
------- Comment #2 From 2007-05-20 01:35:14 -------
Алексей, помойму этих изменений недостаточно, чтобы поддерживать mkaptbox для
нелокальных репозиториев.
------- Comment #3 From 2007-05-26 12:49:18 -------
Имеем:
spt-0.6.0-alt5
Список репозиториев:
rpm file:/var/ftp/ pub/Repository/i586 hunter 
rpm ftp://ftp.altlinux.ru/pub/people/boyarsh/repo/ i686 hasher  
rpm ftp://ftp.altlinux.com/pub/distributions//ALTLinux/4.0/branch/ noarch classic  
rpm ftp://ftp.altlinux.com/pub/distributions/ALTLinux/Sisyphus/ noarch classic 
rpm ftp://ftp.altlinux.com/pub/distributions/ALTLinux/Sisyphus/ i386 classic 
rpm ftp://ftp.altlinux.com/pub/distributions/ALTLinux/Sisyphus/ i586 classic 
rpm-src ftp://ftp.altlinux.com/pub/distributions/ALTLinux/Sisyphus/ noarch classic 
rpm-src ftp://ftp.altlinux.com/pub/distributions/ALTLinux/Sisyphus/ i386 classic 
rpm-src ftp://ftp.altlinux.com/pub/distributions/ALTLinux/Sisyphus/ i586 classic 

Без aptbox="$workdir/aptbox"
сборка installer из профиля spt-profiles-desktop-0.1-alt6
вываливается с ошибкой
/usr/bin/spt-sh-functions: line 209: /apt-get: No such file or directory
После добавления aptbox="$workdir/aptbox" - не вываливается.

Не знаю, решает ли это _все_ провблемы, но одну решает, как минимум.

P.S.
Хотелось бы, чтобы при --no-cleanup не вычищался бы 
$workdir/aptbox/var/cache/apt/archives после очередной фазы, так как там
находятся пакеты, которые разумно перенести в локальный репо, а не таскать
каждый раз из сети...
Даже если трафик unlim, то время - деньги.
------- Comment #4 From 2007-06-19 00:22:24 -------
*** Bug 12058 has been marked as a duplicate of this bug. ***
------- Comment #5 From 2007-07-19 09:39:03 -------
Если использовать репозитарий по ftp с помощью манипуляций, описанных здесь,
инсталлятор собирается, но он нерабочий - зависает на Acquiring packages, 
Next/Previous работают до конца в обе стороны, при этом Acquiring packages так
и
висит. Симптомы, кстати, давно известны, и причина известа - битый диск, но у
меня это гарантированно воспроизводится даже при загрузке с iso в vmware, т.е.
проблема именно в собравшемся образе.
------- Comment #6 From 2007-08-20 02:46:15 -------
Fixed in spt-0.6.0-alt8.